com.smartgwt.client.widgets.layout

## Class PortalPosition

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.widgets.layout.PortalPosition

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class PortalPosition
      extends DataClass

  Represents the position of a `Portlet` within a `PortalLayout`, indicating the column, row, and position within the row.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PortalPosition()`
    `PortalPosition(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColNum()` The column number occupied by a `Portlet` within a `PortalLayout`.
    `static PortalPosition` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `int` | `getPosition()` The position occupied by a `Portlet` within a `PortalLayout` row (generally 0, unless there is more than one Portlet in the row).
    `int` | `getRowNum()` The row number occupied by a `Portlet` within a `PortalLayout` column.
    `void` | `setColNum(int colNum)` The column number occupied by a `Portlet` within a `PortalLayout`.
    `void` | `setPosition(int position)` The position occupied by a `Portlet` within a `PortalLayout` row (generally 0, unless there is more than one Portlet in the row).
    `void` | `setRowNum(int rowNum)` The row number occupied by a `Portlet` within a `PortalLayout` column.

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PortalPosition

          public PortalPosition()

    - #### PortalPosition

          public PortalPosition(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static PortalPosition getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setColNum

          public void setColNum(int colNum)

      The column number occupied by a `Portlet` within a `PortalLayout`.
      Parameters:
        `colNum` - New colNum value. Default value is 0

    - #### getColNum

          public int getColNum()

      The column number occupied by a `Portlet` within a `PortalLayout`.
      Returns:
        Current colNum value. Default value is 0

    - #### setPosition

          public void setPosition(int position)

      The position occupied by a `Portlet` within a `PortalLayout` row (generally 0, unless there is more than one Portlet in the row).
      Parameters:
        `position` - New position value. Default value is 0

    - #### getPosition

          public int getPosition()

      The position occupied by a `Portlet` within a `PortalLayout` row (generally 0, unless there is more than one Portlet in the row).
      Returns:
        Current position value. Default value is 0

    - #### setRowNum

          public void setRowNum(int rowNum)

      The row number occupied by a `Portlet` within a `PortalLayout` column.
      Parameters:
        `rowNum` - New rowNum value. Default value is 0

    - #### getRowNum

          public int getRowNum()

      The row number occupied by a `Portlet` within a `PortalLayout` column.
      Returns:
        Current rowNum value. Default value is 0